Subject: bug#18556: 24.4.50; update-file-autoloads never ends

From: Vincent Belaïche <[email-masked]>
Date: Sun, 28 Sep 2014 11:56:38 +0200

Hello Eli & Paul,

----------------------------------------
> Date: Fri, 26 Sep 2014 20:24:57 +0300
> From: [email-masked]
> Subject: Re: bug#18556: 24.4.50; update-file-autoloads never ends
> To: [email-masked]; [email-masked]
> CC: [email-masked]
>
> > Date: Fri, 26 Sep 2014 20:21:16 +0300
> > From: Eli Zaretskii <[email-masked]>
> > Cc: [email-masked], [email-masked]
> >
> > > Date: Fri, 26 Sep 2014 09:59:38 -0700
> > > From: Paul Eggert <[email-masked]>
> > > Cc: [email-masked]
> > >
> > > I could not reproduce the problem with Emacs trunk bzr 117958 built on
> > > Fedora 20 with GCC 4.9.1, in either 32- or 64-bit builds, and in either
> > > en_US.UTF-8 or fr_FR.iso885915@euro locales.
> >
> > And I couldn't reproduce it on MS-Windows with trunk r117955. It
> > finishes almost instantly for me.
> >
> > Vincent, if you attach GDB to the hung Emacs and type "thread apply
> > all bt" at the GDB prompt, what do you see?
>
> Btw, is it possible that one of the packages that balance.el requires
> is not what we have in the Emacs trunk, but you have its different
> version from some other repository?

It is fully possible that balance.el requires some package not in the
emacs trunk as I have this in my ~/.emacs.d/init.el

-----------------------------------------------------------------------
  ;; remove CEDET/EIEIO/SPEEDBAR that are distributed with EMACS from the load
  ;; path, and replace them with those of CEDET distribution
(load "~/.emacs.d/etc/load-path-to-cedet-svn.el")
-----------------------------------------------------------------------

This is because I develop jpicedt with jdee, and at some point of time
the eieio of Emacs was too old compared to what jdee expected. Anyhow,
In don't think that this is the problem because I can reproduce the
hanging with -Q command line option.

Attached is the gdb session log that Paul desired.

VBR,
  Vincent.